RagTime5GraphInternal::State Struct Reference documentation

RagTime5GraphInternal::State Struct Reference

Internal: the state of a RagTime5Graph. More...

## Public Types
enum | PictureType { P_Pict , P_Tiff , P_Epsf , P_Jpeg , P_PNG , P_ScreenRep , P_WMF , P_Unknown }
| enum used to defined list of classical pict More...

## Public Member Functions
| State ()
| constructor
Shape::Type | getShapeType (int id) const
| try to return a set type

## Static Public Member Functions
static PictureType | getPictureType (std::string const &type)
| returns the picture type corresponding to a name

## Public Attributes
int | m_numPages
| the number of pages
std::vector< unsigned long > | m_shapeTypeIdVector
| the vector of shape type id
std::map< int, std::shared_ptr< ClusterButton > > | m_idButtonMap
| map data id to button zone
std::map< int, std::shared_ptr< ClusterGraphic > > | m_idGraphicMap
| map data id to graphic zone
std::map< int, std::shared_ptr< ClusterPicture > > | m_idPictClusterMap
| map data id to picture zone
std::map< int, std::shared_ptr< MWAWEmbeddedObject > > | m_idPictureMap
| map data id to picture

## Detailed Description

Internal: the state of a RagTime5Graph.

## Member Enumeration Documentation

## ◆ PictureType

enum RagTime5GraphInternal::State::PictureType

enum used to defined list of classical pict

Enumerator
P_Pict |
P_Tiff |
P_Epsf |
P_Jpeg |
P_PNG |
P_ScreenRep |
P_WMF |
P_Unknown |

## Constructor & Destructor Documentation

## ◆ State()

RagTime5GraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPictureType()

PictureType RagTime5GraphInternal::State::getPictureType | ( | std::string const & | type | ) |
| inlinestatic

returns the picture type corresponding to a name

## ◆ getShapeType()

Shape::Type RagTime5GraphInternal::State::getShapeType | ( | int | id | ) | const

try to return a set type

Referenced by getShapeType().

## Member Data Documentation

## ◆ m_idButtonMap

std::map<int, std::shared_ptr<ClusterButton> > RagTime5GraphInternal::State::m_idButtonMap

map data id to button zone

Referenced by State().

## ◆ m_idGraphicMap

std::map<int, std::shared_ptr<ClusterGraphic> > RagTime5GraphInternal::State::m_idGraphicMap

map data id to graphic zone

Referenced by State().

## ◆ m_idPictClusterMap

std::map<int, std::shared_ptr<ClusterPicture> > RagTime5GraphInternal::State::m_idPictClusterMap

map data id to picture zone

Referenced by State().

## ◆ m_idPictureMap

std::map<int, std::shared_ptr<MWAWEmbeddedObject> > RagTime5GraphInternal::State::m_idPictureMap

map data id to picture

Referenced by State().

## ◆ m_numPages

int RagTime5GraphInternal::State::m_numPages

the number of pages

Referenced by State().

## ◆ m_shapeTypeIdVector

std::vector<unsigned long> RagTime5GraphInternal::State::m_shapeTypeIdVector

the vector of shape type id

Referenced by getShapeType(), and State().

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx